from os import path

package_name_pip = 'mesma'
qgis_plugin_name = 'MESMA'
read_the_docs_name = 'mesma'

author = 'Ann Crabbé (KU Leuven)'
author_doc = 'Ann Crabbé (KU Leuven)'
author_email = 'ann.crabbe@kuleuven.be'
author_copyright = '2020, Ann Crabbé'
short_version = '1.0'
long_version = '1.0.4'

bitbucket_home = 'https://bitbucket.org/kul-reseco/mesma'
bitbucket_src = 'https://bitbucket.org/kul-reseco/mesma/src'
bitbucket_issues = 'https://bitbucket.org/kul-reseco/mesma/issues'

read_the_docs = 'https://mesma.readthedocs.io'

keywords = ['sma', 'mesma', 'szu', 'remote sensing']

qgis_min_version = '3.6'

short_description = 'The MESMA software package is both a QGIS plugin and stand-alone python package ' \
                    'that provides a suite of processing tools for MESMA (Multiple Endmember Spectral Mixture Analysis)' \
                    ' unmixing algorithm in the field of Remote Sensing.'
long_description = 'Unmixing with MESMA (with multi-level fusion, stable zone unmixing, ...) and post-processing ' \
                   'of the MESMA results (visualisation tool, shade normalisation, soft to hard classification).'

icon = 'images/lumos_h60.png'
qgis_category = 'Raster'

sphinx_title = 'Spectral Library Tool Documentation'
